Subject: Re: bug#68200: 30.0.50; Emacs reloads init file when calling `documentation'

From: Alan Mackenzie <[email-masked]>
Date: Thu, 11 Jan 2024 19:40:09 +0000

Hello, Eli.

On Thu, Jan 11, 2024 at 21:22:08 +0200, Eli Zaretskii wrote:
> > Date: Thu, 11 Jan 2024 18:10:58 +0000
> > Cc: [email-masked], [email-masked], [email-masked],
> >   [email-masked]
> > From: Alan Mackenzie <[email-masked]>

> > > No, 40MB is far from being negligible.

> > It's not negligible compared with the rest of Emacs, but is less than ¼%
> > of the RAM in a machine with 16GB.

> No, it isn't, because most of those 16GB are in use at any given
> moment.

I'm sure they're not on my machine.  But I'm glad RAM is now measured in
GB, not MB.

> > No, the bug has been fixed.  But, as Michael pointed out, lots of things
> > are being done with doc strings now which weren't being done when the
> > dynamic doc strings were introduced.  Indeed, they were surely a
> > workaround for limited RAM in machines a very long time ago.

> > Now that we're doing more with doc strings, the inconvenience of not
> > getting a doc string after editing a source file might well outweigh the
> > relatively small amount of RAM that these doc strings need.

> > Hence the suggestion to change the default.

> Since I disagree with your argument about memory being available for
> free, I also disagree with the suggestion that is based on that
> argument.

No problem.  If I find annoyance with files continually reloading, like
Michael did, I can always set my own value of that variable.

Have a good evening!

-- 
Alan Mackenzie (Nuremberg, Germany).